package de.unidortmund.dependencies;

public class Main {


	public static void main(String[] args) {
		Value content1 = new IntValue(1);
		Variable x = new Variable("x", content1);
		
		Value content2 = new IntValue(2);
		Variable y = new Variable("y", content2);
		Memory.m33(x,y);
		System.out.println(x);
		System.out.println(y);
	
		
		
		//		System.out.println(x);
//		System.out.println(y);
//		System.out.println(x.getValue());
//		Memory.m22(x,y);
//		System.out.println(x.getValue());
		
		
		
//		Variable object;
//		Variable array1;
//		Variable array2;
//		Variable variable3;
//		Variable[] variables;
//		Variable variable4;
//		Value content1 = new IntValue(1);
//		Value content2 = new CharValue('a');
//		Value[] contents1 = new Value[]{content1, content2, new CharValue('c')};
//		Value content3 = new IntValue(3);
//		Value content4 = new CharValue('d');
//		Value content5 = new IntValue(5);
//		Value[] contents2 = new Value[]{content3, content4, content5};
//		Value content6 = new CharValue('f');
//		array1 = new Variable("array1", contents1);
//		array2 = new Variable("array2", contents2);
//		variable3 = new Variable("a", content6);
//		variables = new Variable[]{array1, array2, variable3};
//		object = new Variable("object", variables);		

	}

}
